"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useProps = exports.PropsProvider = void 0;
const react_1 = __importStar(require("react"));
const getDataAttributes_1 = require("../helpers/getDataAttributes");
const getDefaultClassNames_1 = require("../helpers/getDefaultClassNames");
const getFormatters_1 = require("../helpers/getFormatters");
const getStartEndMonths_1 = require("../helpers/getStartEndMonths");
const defaultLabels = __importStar(require("../labels"));
const propsContext = (0, react_1.createContext)(null);
/**
 * Provide the props to the DayPicker components. Must be used as root of the
 * other providers.
 *
 * @private
 */
function PropsProvider(props) {
    const reactId = (0, react_1.useId)();
    const { startMonth, endMonth } = (0, getStartEndMonths_1.getStartEndMonths)(props);
    const { children, 
    // Remove deprecated props
    fromDate, fromMonth, fromYear, toDate, toMonth, toYear, ...restProps } = props;
    const context = {
        ...restProps,
        classNames: { ...(0, getDefaultClassNames_1.getDefaultClassNames)(), ...restProps.classNames },
        dataAttributes: (0, getDataAttributes_1.getDataAttributes)(props),
        endMonth,
        formatters: (0, getFormatters_1.getFormatters)(props.formatters),
        id: props.id ?? reactId,
        labels: { ...defaultLabels, ...restProps.labels },
        max: "max" in props ? props.max ?? undefined : undefined,
        min: "min" in props ? props.min ?? undefined : undefined,
        mode: props.mode ?? "default",
        numberOfMonths: props.numberOfMonths ?? 1,
        required: "required" in props ? props.required ?? false : false,
        startMonth,
        today: props.today ?? new Date(),
        selected: "selected" in props ? props.selected : undefined,
        defaultSelected: "defaultSelected" in props ? props.defaultSelected : undefined,
        onSelect: "onSelect" in props ? props.onSelect : undefined
    };
    return (react_1.default.createElement(propsContext.Provider, { value: context }, children));
}
exports.PropsProvider = PropsProvider;
/**
 * Access to the props passed to DayPicker.
 *
 * Use this hook from the custom components passed via the `components` prop.
 *
 * @group Hooks
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function useProps() {
    const context = (0, react_1.useContext)(propsContext);
    if (!context) {
        throw new Error("useDayPicker() must be used within a `<dayPickerContext.Provider/>`.");
    }
    return context;
}
exports.useProps = useProps;
//# sourceMappingURL=props.js.map