"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStartMonth = void 0;
const addMonths_1 = require("date-fns/addMonths");
const differenceInCalendarMonths_1 = require("date-fns/differenceInCalendarMonths");
const startOfMonth_1 = require("date-fns/startOfMonth");
/** Return the start month based on the props passed to DayPicker. */
function getStartMonth(props) {
    const { month, defaultMonth, today, numberOfMonths = 1, endMonth, startMonth } = props;
    let initialMonth = month || defaultMonth || today || new Date();
    // Fix the initialMonth if is after the to-date
    if (endMonth && (0, differenceInCalendarMonths_1.differenceInCalendarMonths)(endMonth, initialMonth) < 0) {
        const offset = -1 * (numberOfMonths - 1);
        initialMonth = (0, addMonths_1.addMonths)(endMonth, offset);
    }
    // Fix the initialMonth if is before the from-date
    if (startMonth && (0, differenceInCalendarMonths_1.differenceInCalendarMonths)(initialMonth, startMonth) < 0) {
        initialMonth = startMonth;
    }
    return (0, startOfMonth_1.startOfMonth)(initialMonth);
}
exports.getStartMonth = getStartMonth;
//# sourceMappingURL=getStartMonth.js.map